package com.ruoyi.analysis.config;


import com.ruoyi.analysis.constants.RabbitConstant;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * RabbitMq队列创建
 */
@Component
public class RabbitConfig {
    /**
     * 创建故障处理队列
     * @return
     */
    @Bean
    public Queue initFaultHandlerQueue(){
        return new Queue(RabbitConstant.FAULT_HANDLER_QUEUE,true);
    }

    /**
     * 创建围栏处理队列
     * @return
     */
    @Bean
    public Queue initFenceHandlerQueue(){
        return new Queue(RabbitConstant.FENCE_HANDLER_QUEUE,true);
    }
}
