package com.ruoyi.analysis.kafka.service.impl;

import com.ruoyi.analysis.domain.VehicleMessage;
import com.ruoyi.analysis.handler.MessageHandler;
import com.ruoyi.analysis.handler.MessageVerify;
import com.ruoyi.analysis.kafka.service.InKafkaConsumer;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.kafka.clients.consumer.ConsumerRecords;
import org.springframework.stereotype.Service;

/**
 * 接口实现
 */
@Service
@Log4j2
public class InKafkaConsumerimpl implements InKafkaConsumer {
    @Override
    public void kafkaConsumerInterface(ConsumerRecords<String, String> records) {
        for (ConsumerRecord<String, String> record : records) {
            log.info("消息：key: {} , msg: {}",record.key(), record.value());
            //获取原始报文数据
            String valueMessage = record.value();
            //切割报文起止位
            String content = valueMessage.substring(4, valueMessage.length() - 7);
            //转换报文为字符串
            String s = MessageVerify.theDecimal(content);
            //切割报文
            VehicleMessage vehicleMessage = MessageHandler.messageTranslated(s);


        }
    }
}
