package com.ruoyi.analysis.config;

import cn.hippo4j.core.executor.DynamicThreadPool;
import cn.hippo4j.core.executor.support.ThreadPoolBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.ThreadPoolExecutor;

/**
 * 线程池配置封装
 */
@Configuration
public class ThreadPoolConfig {
    @Bean
    @DynamicThreadPool
    public ThreadPoolExecutor alanAnalysisThreadPool(){
        String threadPoolId = "networking-analysis";
        ThreadPoolExecutor messageConsumeDynamicExecutor = ThreadPoolBuilder.builder()
                .threadFactory(threadPoolId)//工厂名称
                .threadPoolId(threadPoolId)//线程池名称
                .dynamicPool()//线程池特性
                .build();//调用方法
        return messageConsumeDynamicExecutor;
    }
}
