package com.ruoyi.analysis.kafka.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * kafka配置类
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "kafka.config")
public class KafkaConfig {
    /**
     * 配置地址
     */
    private String hosts;

    /**
     *kafka主题
     */
    private String topic;
}
